MMFF/Builder.h File Reference
`#include <vector>`
`#include <string>`
`#include <boost/shared_array.hpp>`
`#include <boost/tuple/tuple.hpp>`
`#include <boost/cstdint.hpp>`

Go to the source code of this file.

## Namespaces

| ForceFields
| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::MMFF
| RDKit::MMFF::Tools

## Enumerations

enum | { RDKit::MMFF::Tools::RELATION_1_2 = 0, RDKit::MMFF::Tools::RELATION_1_3 = 1, RDKit::MMFF::Tools::RELATION_1_4 = 2, RDKit::MMFF::Tools::RELATION_1_X = 3 }

## Functions

ForceFields::ForceField * | RDKit::MMFF::constructForceField (ROMol &mol, double nonBondedThresh=100.0, int confId=-1, bool ignoreInterfragInteractions=true)
| Builds and returns a MMFF force field for a molecule. More...
ForceFields::ForceField * | RDKit::MMFF::constructForceField (ROMol &mol, MMFFMolProperties *mmffMolProperties, double nonBondedThresh=100.0, int confId=-1, bool ignoreInterfragInteractions=true)
| Builds and returns a MMFF force field for a molecule. More...
void | RDKit::MMFF::Tools::setTwoBitCell (boost::shared_array< boost::uint8_t > &res, unsigned int pos, boost::uint8_t value)
boost::uint8_t | RDKit::MMFF::Tools::getTwoBitCell (boost::shared_array< boost::uint8_t > &res, unsigned int pos)
boost::shared_array< boost::uint8_t > | RDKit::MMFF::Tools::buildNeighborMatrix (const ROMol &mol)
void | RDKit::MMFF::Tools::addBonds (const ROMol &mol, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field)
void | RDKit::MMFF::Tools::addAngles (const ROMol &mol, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field)
void | RDKit::MMFF::Tools::addStretchBend (const ROMol &mol, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field)
void | RDKit::MMFF::Tools::addOop (const ROMol &mol, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field)
void | RDKit::MMFF::Tools::addTorsions (const ROMol &mol, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field, std::string torsionBondSmarts="[!$(*#*)&!D1]~[!$(*#*)&!D1]")
void | RDKit::MMFF::Tools::addVdW (const ROMol &mol, int confId, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field, boost::shared_array< boost::uint8_t > neighborMatrix, double nonBondedThresh=100.0, bool ignoreInterfragInteractions=true)
void | RDKit::MMFF::Tools::addEle (const ROMol &mol, int confId, MMFFMolProperties *mmffMolProperties, ForceFields::ForceField *field, boost::shared_array< boost::uint8_t > neighborMatrix, double nonBondedThresh=100.0, bool ignoreInterfragInteractions=true)